const fs = require('fs');

const frameOptionsRegEx = /\s+x-frame-options = ".*\s/gi;

// remove iframe security headers
exports.removeHeaders = (filePath) => {
  // start with `_headers`
  try {
    const headers = fs.readFileSync(filePath, 'utf-8');
    const updatedContents = headers.replace(frameOptionsRegEx, '\n');

    fs.writeFileSync(filePath, updatedContents, 'utf-8');

    console.log(`rewrote ${filePath} to:`);
    console.log(updatedContents);
  } catch (error) {
    // noop if no `_headers` file exists
  }
};
